"""IBM WebSphere Application Server Patterns

  Copyright IBM Corp. 2015
  All rights reserved.
  US Government Users Restricted Rights -
  Use, duplication or disclosure restricted
  by GSA ADP Schedule Contract with IBM Corp.

  Licensed Materials-Property of IBM
"""
import maestro
import commands
import os, sys
import whvUtil

# START main method
def main (was_control_home, ws_admin_path, user):

    if (whvUtil.isFirewallActive()):
        # Open the required ports on iptables
        print "Open the required ports used by WebSphere on iptables"
        paramList = "-conntype none -appendtrace true -f %s" % (os.path.join(was_control_home, "getAllWASPorts.py"))
        cmd = 'su %s -c "%s %s"' % (user, ws_admin_path, paramList)
        print "command to run wsadmin to get all WAS ports: %s" % (cmd)
        (status, text) = commands.getstatusoutput(cmd)
        print "Output of getAllWASPorts.py: %s" % (text)
    
        portList = text[text.index("##output1-")+10:text.index("-output1##")].split(" ")
        print "ports to be opened on the firewall: %s" %(portList)
    
        for port in portList:
            if port in ('0',''):
                continue;
            maestro.firewall.open_tcpin(dport=port)
            maestro.firewall.open_tcpout(dport=port)
            maestro.firewall.open_in(protocol="udp", dport=port)
            maestro.firewall.open_out(protocol="udp", dport=port)
        #endfor
    else:
        print "Firewall is not active not opening firewall ports."
    #endif
#enddef

if __name__ == "__main__":
    if 1 < len(sys.argv) :
        was_control_home = sys.argv[1]
        print was_control_home
        ws_admin_path = sys.argv[2]
        print ws_admin_path
        user = sys.argv[3]
        print user
    else:
        sys.exit(0)
          
    main (was_control_home, ws_admin_path, user)


