#!/bin/sh
# IBM WebSphere Application Server Patterns
#
# Copyright IBM Corp. 2016
# All rights reserved.
# US Government Users Restricted Rights -
# Use, duplication or disclosure restricted
# by GSA ADP Schedule Contract with IBM Corp.
#
# Licensed Materials-Property of IBM
#
# This script takes the following input parameters
#
#  -ports {port}:{protocol}
#  -persist true|false

# run from the directory this file is located in
SCRIPTDIR=`pwd`

CONTROL_HOME=`grep CONTROL_HOME /etc/virtualimage.properties | head -1 | awk '{split($0,a,"="); print a[2]}'`

usage ()
{
    echo " "
    echo "Usage: openFirewallPorts.sh -ports <port:TCP|UDP|BOTH>,... -persist true|false"
    exit 1
}

if [ $# -ne 4 ]
then
   usage
fi

portList=""
persist=""

# Parameters passed in
#  ports, persist
while [ $# -ne 0 ]
do
    case $1 in
        -ports*)
            portList=$2
        ;;
        -persist*)
            persist=$2
        ;;
        *)
        ;;
    esac
    shift 2
done

if [ -z "${persist}" ]
then
   usage
fi

if [ -z "${portList}" ]
then
   usage
fi

${CONTROL_HOME}/openFirewallPorts.sh -ports ${portList} -persist ${persist}
RC=$?
exit $RC
